Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class LoadTestRunListenerAdapter

    java.lang.Object
      com.eviware.soapui.model.support.LoadTestRunListenerAdapter

All Implemented Interfaces:
  LoadTestRunListener

    public class LoadTestRunListenerAdapter

extends java.lang.Object
implements LoadTestRunListener

Adapter for LoadTestRunListener implementations

Author:
  Ole.Matzura

Constructor Summary
`LoadTestRunListenerAdapter()`

Method Summary
`void` | `afterLoadTest(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called after the execution of a loadtest when all threads have terminated
`void` | `afterTestCase(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext)` Called after the execution of a testcase
`void` | `afterTestStep(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext, TestStepResult testStepResult)` Called after the execution of a teststep
`void` | `beforeLoadTest(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called before a load-test is about to be run
`void` | `beforeTestCase(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext)` Called before the execution of a testcase
`void` | `beforeTestStep(LoadTestRunner loadTestRunner, LoadTestRunContext context, TestRunner testRunner, TestRunContext runContext, TestStep testStep)` Called before the execution of a teststep
`void` | `loadTestStarted(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called after all initial loadtest threads have been started
`void` | `loadTestStopped(LoadTestRunner loadTestRunner, LoadTestRunContext context)` Called when a loadtest has been stopped for some reason

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadTestRunListenerAdapter

    public LoadTestRunListenerAdapter()

Method Detail

### beforeLoadTest

    public void beforeLoadTest(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called before a load-test is about to be run

  Specified by:
    `beforeLoadTest` in interface `LoadTestRunListener`

### beforeTestCase

    public void beforeTestCase(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context,
                               TestRunner testRunner,
                               TestRunContext runContext)

  Description copied from interface: `LoadTestRunListener`
  Called before the execution of a testcase

  Specified by:
    `beforeTestCase` in interface `LoadTestRunListener`

### beforeTestStep

    public void beforeTestStep(LoadTestRunner loadTestRunner,
                               LoadTestRunContext context,
                               TestRunner testRunner,
                               TestRunContext runContext,
                               TestStep testStep)

  Description copied from interface: `LoadTestRunListener`
  Called before the execution of a teststep

  Specified by:
    `beforeTestStep` in interface `LoadTestRunListener`

### afterTestStep

    public void afterTestStep(LoadTestRunner loadTestRunner,
                              LoadTestRunContext context,
                              TestRunner testRunner,
                              TestRunContext runContext,
                              TestStepResult testStepResult)

  Description copied from interface: `LoadTestRunListener`
  Called after the execution of a teststep

  Specified by:
    `afterTestStep` in interface `LoadTestRunListener`

### afterTestCase

    public void afterTestCase(LoadTestRunner loadTestRunner,
                              LoadTestRunContext context,
                              TestRunner testRunner,
                              TestRunContext runContext)

  Description copied from interface: `LoadTestRunListener`
  Called after the execution of a testcase

  Specified by:
    `afterTestCase` in interface `LoadTestRunListener`

### afterLoadTest

    public void afterLoadTest(LoadTestRunner loadTestRunner,
                              LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called after the execution of a loadtest when all threads have terminated

  Specified by:
    `afterLoadTest` in interface `LoadTestRunListener`

### loadTestStarted

    public void loadTestStarted(LoadTestRunner loadTestRunner,
                                LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called after all initial loadtest threads have been started

  Specified by:
    `loadTestStarted` in interface `LoadTestRunListener`

### loadTestStopped

    public void loadTestStopped(LoadTestRunner loadTestRunner,
                                LoadTestRunContext context)

  Description copied from interface: `LoadTestRunListener`
  Called when a loadtest has been stopped for some reason

  Specified by:
    `loadTestStopped` in interface `LoadTestRunListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.